org.bouncycastle.crypto

## Interface ExtendedDigest

All Superinterfaces:
  Digest

All Known Implementing Classes:
  GeneralDigest, GOST3411Digest, LongDigest, MD2Digest, MD4Digest, MD5Digest, RIPEMD128Digest, RIPEMD160Digest, RIPEMD256Digest, RIPEMD320Digest, SHA1Digest, SHA224Digest, SHA256Digest, SHA384Digest, SHA512Digest, ShortenedDigest, TigerDigest, WhirlpoolDigest

    public interface ExtendedDigest
    extends Digest

### Method Summary

Methods
`int` `getByteLength()` Return the size in bytes of the internal buffer the digest applies it's compression function to.

### Methods inherited from interface org.bouncycastle.crypto.Digest

`doFinal, getAlgorithmName, getDigestSize, reset, update, update`

### Method Detail

#### getByteLength

    int getByteLength()

Return the size in bytes of the internal buffer the digest applies it's compression function to.

Returns:
  byte length of the digests internal buffer.